com.verisign.epp.codec.domain

## Class EPPDomainDeleteCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPDeleteCmd
    - - com.verisign.epp.codec.domain.EPPDomainDeleteCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPDomainDeleteCmd
      extends EPPDeleteCmd

  Represents an EPP Domain <delete> command that allows a client to delete a domain object. The EPP <delete> command provides a transform operation that allows a client to delete a domain object. In addition to the standard EPP command elements, the <delete> command MUST contain a "domain:delete" element that identifies the domain namespace and the location of the domain schema. A domain object SHOULD NOT be deleted if subordinate host objects are associated with the domain object. For example, if domain "example.com" exists, and host object "ns1.example.com" also exists, then domain "example.com" SHOULD NOT be deleted until host "ns1.example.com" has been either deleted or renamed to exist in a different superordinate domain.
  - A <domain:name> element that contains the fully qualified domain name of the object to be deleted. Use `getName` and `setName` to get and set the element.
  `EPPReponse` is the response associated with `EPPDomainDeleteCmd`.
  Version:
    $Revision: 1.2 $
  Author:
    $Author: jim $
  See Also:
    `EPPResponse`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDomainDeleteCmd()` `EPPDomainDeleteCmd` default constructor.
    `EPPDomainDeleteCmd(java.lang.String aTransId, java.lang.String aName)` `EPPDomainDeleteCmd` constructor that takes the domain name as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPDomainDeleteCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDomainDeleteCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDomainDeleteCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDomainDeleteCmd` with this instance.
    `java.lang.String` | `getName()` Gets the domain name to delete.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDomainDeleteCmd`.
    `void` | `setName(java.lang.String aName)` Sets the domain name to delete.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPDeleteCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDomainDeleteCmd

          public EPPDomainDeleteCmd()

      `EPPDomainDeleteCmd` default constructor. The name is initialized to `null`. The name must be set before invoking `encode`.

    - #### EPPDomainDeleteCmd

          public EPPDomainDeleteCmd(java.lang.String aTransId,
                                    java.lang.String aName)

      `EPPDomainDeleteCmd` constructor that takes the domain name as an argument.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - Domain name to delete.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPDomainDeleteCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPDomainMapFactory.NS`

    - #### getName

          public java.lang.String getName()

      Gets the domain name to delete.
      Returns:
        Domain Name `String` instance if defined; `null` otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the domain name to delete.
      Parameters:
        `aName` - Domain Name

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPDomainDeleteCmd` with this instance.
      Overrides:
        `equals` in class `EPPDeleteCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDomainDeleteCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPDomainDeleteCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDomainDeleteCmd` instance.
      Specified by:
        `doEncode` in class `EPPDeleteCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPDomainDeleteCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDomainDeleteCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDomainDeleteCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPDeleteCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDomainDeleteCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

Copyright © VeriSign Inc. All Rights Reserved.